
package de.ivu.elect.jee.security;

import java.util.List;

public interface Login<PK> {

  PK getPk();

  void passwortErfolgreichGewechselt();

  void updateLastLoginTime();

  String getPasswort();

  String getSalt();

  void erfolgreicherLogin();

  void erhoeheFehlversuche();

  void setPasswort(PasswordEncryptionService passwordEncryptionService, String neuesUnverschluesseltesPasswort);

  String getBenutzerkennung();

  Long getMandantenNummer();

  @Deprecated // NICHT VERWENDEN, ENTHALTEN DIE ROLLEN DES BENUTZEREINSATZORTES NICHT!
  List<String> getRollenAsStrings();

  boolean isGesperrt();
}
